framework:
    http_method_override: false
    handle_all_throwables: true
    secret: test
    router: { resource: "%kernel.project_dir%/%kernel.test_case%/routing.yml", utf8: true }
    validation: { enabled: true, enable_attributes: true, email_validation_mode: html5 }
    csrf_protection: true
    form:
        enabled: true
    test: ~
    default_locale: en
    session:
        handler_id: null
        storage_factory_id: session.storage.factory.mock_file
        cookie_secure: auto
        cookie_samesite: lax
    php_errors:
        log: true
    profiler:
        only_exceptions: false
        collect_serializer_data: true

services:
    logger: { class: Psr\Log\NullLogger }

security:
    firewalls:
        secure:
            pattern: ^/secure/
            http_basic: { realm: "Secure Gateway API" }
            entry_point: firewall_entry_point.entry_point.stub
    access_control:
        - { path: ^/secure/, roles: ROLE_SECURE }
    providers:
        in_memory:
            memory:
                users:
                    john: { password: doe, roles: [ROLE_SECURE] }
    password_hashers:
        Symfony\Component\Security\Core\User\InMemoryUser: plaintext
